@import 'utilities.css';
:root{
    --primary:#3dcfd3;
    --dark:#161616;
    --pure:#ffffff;
    --ternary:#898989;
    --light:#f2f2f2;
    --secondary:#070606;

}

body{
    font-family: 'Poppins', sans-serif;
}
html{
    scroll-behavior:smooth;
}

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    -webkit-font-smoothing:antialised;
    
}

header{
    background: var(--dark);
    clip-path:polygon(0 0, 100% 0, 100% 100%, 83% 87%, 0 100%);
    
}

.container{
    max-width: 1152px;
    padding: 0px 15px;
    margin: 0 auto;
}

@media (min-width: 576px) {
    .container {
      max-width: 540px;
    }
  }
  
  @media (min-width: 768px) {
    .container {
      max-width: 720px;
    }
  }
  
  @media (min-width: 992px) {
    .container {
      max-width: 960px;
    }
  }
  
  @media (min-width: 1200px) {
    .container {
      max-width: 1152px;
    }
  }
  
  
header nav .left a{
    color:var(--pure);
    text-decoration: none;
    margin-right: 2rem;
    text-transform: uppercase;
    transition: all .3s ease;
}

header nav .left a:hover{
    color: var(--primary);
    
}

header nav{
    padding: 2rem 0;
}

header nav .branding
{
    margin-right: 3rem;
}

.hero .left img{
    width: 700px;
}

.hero .right{
    color: var(--pure);
    margin-left: 2rem;
}

.hero .right h6{
    font-size: 1.6rem;
    color: var(--primary);
    margin-bottom: 0.5rem;
}

.hero .right h1{
  font-size: 3rem;
font-weight: 100; 
line-height: 1.2;
margin-bottom: 2rem;
}

.hero .right h1 span{
    color: var(--primary);
}

.hero .right p{
    line-height: 1.9;
    margin-bottom: 2rem;
}

.hero .right{
    margin-top: -6rem;
   
    
}

section{
    padding: 6rem;
}

section.about .about-me-img{
    height: 450px;
}
section.about h1{
    margin-bottom: 1rem;
    font-size: 1.6rem;
    font-weight: 400;
}

section.about h1 span{
    color: var(--primary);
}

section.about h3{
    font-size: 1rem;
    margin-bottom: 1rem;
    font-weight: 400rem;
}

section.about p{
    font-family: 'Lato', sans-serif;
    color: var(--ternary);
    line-height: 1.9;
    margin-bottom: 2rem;
}

section.about .social{
    display: flex;
}

section.about .social a{
    background: var(--primary);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    margin-right: 0.6rem;
}

section.about .social a:hover{
    background:  var(--dark);
    transition: all 0.3s;
}

section.about .social a img{
    width:100%;
    height: 100%;
    padding: 0.5rem;
    
}

.section-heading{
    color: var(--secondary);
    text-align: center;
    margin-bottom: 1rem;
    line-height: 0.5;
}

.section-heading + p{
    color: var(--ternary);
    font-family: 'Lato', sans-serif;
    margin-bottom: 8rem;
    text-align: center;
}

.section-heading span{
    color: var(--primary);
}
section.services{
    background: var(--light);
}

section.services .card-wrapper{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-column-gap: 2rem;
    grid-row-gap: 4rem;
}

section.services .card-wrapper .card{
    background: var(--pure);
    padding: 3em 2rem;
    position: relative;
    padding-top: 4rem;
    text-align: center;
    transition: all 0.3s ease;
}

section.services .card-wrapper .card img{
    position: absolute;
    top:-3rem;
    left: 50%;
    transform: translateX(-50%);
}

section.services .card-wrapper .card h2{
    font-weight: 400;
    font-size: 1.2rem;
    margin-bottom: 0.5rem;
   padding-top: 1rem;
}

section.services .card-wrapper .card p{
    font-family: 'Lato', sans-serif;
    color:var(--ternary);
    line-height: 1.8;
}

section.services .card-wrapper .card:hover{
    background: var(--dark);
}

section.services .card-wrapper .card:hover h2, section.services .card-wrapper .card:hover p{
    color: var(--pure);
}

section.freelancer{
    text-align: center;
    background: var(--secondary);
    color: var(--pure);
     clip-path:polygon(0 0, 100% 0, 100% 100%, 67% 77%, 0 100%);
     padding-left: 10rem;
}

section.freelancer h1{
    font-size: 2rem;
    margin-bottom: 0.5rem;
}

section.freelancer p{
    margin-bottom: 2rem;
    font-family: 'Lato',sans-serif;
    
}

section.work{
    background: var(--pure);
}


section.work .card-wrapper{
    display: grid;
    grid-template-columns:repeat(3,1fr);
    grid-gap:2rem;
    margin-top: -5rem;
    
}

section.work .card-wrapper .card{
    position: relative;
    height: 250px;
    
}

section.work .card-wrapper .card .overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(61, 207, 211, 0.9);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    color: var(--pure);
    opacity: 0;
    transition: all .3 ease;
    
}
section.work .card-wrapper .card:hover .overlay{
    opacity: 1;
   
    
}


section.work .card-wrapper .card .overlay a{
    color:var(--secondary);
    text-decoration: none;
}

section.work .card-wrapper .card img{
    height: 100%;
    width: 100%;
}

section.certificates{
    background: var(--light);
}


section.certificates .card-wrapper{
    display: grid;
    grid-template-columns:repeat(3,1fr);
    grid-gap:2rem;
    padding-top:2rem;
    
    
}

section.certificates .card-wrapper .card h3{
    text-align: center;
    font-family: 'Lato',sans-serif;
    padding-top: 0.3rem;
}

section.contact .card-wrapper{
    display: grid;
    grid-template-columns:repeat(2,1fr);
    margin-top: 4rem;
   
}

section.contact .card-wrapper .card{
    text-align: center;
}

section.contact .card-wrapper .card img{
    margin-bottom: 1rem;
}

section.contact .card-wrapper .card h1{
    font-weight: 400;
    margin-bottom: .5rem;
    
}

section.contact .card-wrapper .card h6{
    font-size: 1rem;
    color: var(--ternary);
    font-weight: 400;
    margin-bottom: 3rem;
}

section.certificates .card-wrapper .card a{
    text-decoration: none;
    color: var(--dark);
}

section.contact .input-wrap{
    display: grid;
    grid-template-columns:repeat(2,1fr);
    grid-gap:2rem;
    margin-bottom: 2rem;
    margin-top: 1rem;
}
section.contact .input-wrap-2{
    display: flex;
    flex-direction: column;
    
}
section.contact .input-wrap-2 input{
    margin-bottom: 2rem;
    font-size: 1rem;
}

section.contact input{
    padding: 1rem;
    font-size: 1rem;
}

section.contact .input-wrap-2 textarea{
    padding: 1rem;
    font-size: 1rem;
}

section.contact .btn-wrapper{
    text-align: center;
    margin-top: 2rem;
}

footer{
    background: var(--dark);
    text-align: center;
    padding: 3rem 0;
}

footer .footer-socials img{
    margin-right: 1rem;
     padding-left: 2rem;
     margin-bottom: 1rem;
}

footer .copyright{
    color: var(--light);
    padding-top: 1rem;
    text-align: center;
    padding-left: 2rem;
}


/* navbar */

.site-main-wrapper{
    position:relative;
}

.hamberger{
    position:absolute;
    top:40px;
    right:40px;
    z-index:11;
    background: none;
    border: none;
    outline: none;
    cursor: pointer;
    
}

.hamberger img{
    width: 30px;
}

.mobile-nav{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1001;
    background: var(--primary);
    width: 100%;
    height: 70%;
    padding: 2rem;
    padding-top: 5rem;
transform: translateX(-100%); 
transition: all .5s ease-in-out ;
}



.open{
    transform: translateX(0);
}

.times{
    position: fixed;
    top:30px;
    right: 30px;
    border: none;
    background: none;
    outline: none;
    cursor: pointer;
        
}

.times img{
    width: 30px;
}

.mobile-nav ul{
    list-style-type: none;
    
}

.mobile-nav ul li a{
    color: var(--dark);
    text-decoration: none;
    font-size: 2rem;
}

.mobile-nav .right{
    padding-top: 2rem;
}


@media (max-width:1024px){
    header #main-nav{
        display:none;
    }
    .hero .left img{
        width: 260px;
    } 
    
    .hero .right h1{
        font-size: 3rem;
    }
    
    .hero{
        padding-top: 10rem;
    }
    
    header {
        clip-path: polygon(0 0, 100% 0, 100% 100%, 27% 94%, 0 100%);
    }
    
    header .right{
        padding-bottom: 3rem;
    }
    
    section.about .about-me-img{
        height: 310px;
    }
    
    section.services .card-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-column-gap: 2rem;
    grid-row-gap:6rem;
}

section.work .card-wrapper{
    grid-template-columns: repeat(2,1fr);
}

section.certificates .card-wrapper{
    grid-template-columns: repeat(1,1fr);
    padding-left: 6rem;
}
section.certificates .card-wrapper .card h3 {
padding-right: 2rem;
}
}

@media (max-width:576px){
    .hero{
        flex-direction: column;
    }
    
    header{
       clip-path: polygon(0 0, 100% 0, 100% 100%, 69% 94%, 0 100%); 
    }
    
    .hero .right{
        position: absolute;
        top: 260px;
        padding: 5rem 1rem;
    }
    
    .hero .left{
        margin-top: -9rem;
        margin-right: 4rem;
        padding-bottom: 29rem;
    }
    
    .hero .right h1{
        font-size:2rem;
    }
    
    .hero .right h6{
        font-size: 1.2rem;
        margin-bottom: 0.3rem;
    }
    
    .about-inner-wrap{
        flex-direction: column;
    }
    .about .right{
        text-align: center;
        margin-top: 2rem;
    }
    
    section{
        padding: 3rem 0;
    }
    
    section.about .social{
        justify-content: center;
    }
    
    section.services .card-wrapper{
        grid-template-columns: repeat(1, 1fr);
    }
    
    .section-heading + p{
        margin-bottom: 5rem;
    }
    
    section.freelancer{
       padding-left: 0px;
       clip-path: polygon(0 0, 100% 0, 100% 100%, 15% 89%, 0 100%);
    }
    section.work .card-wrapper {
    grid-template-columns: repeat(1,1fr);
    margin-top: 0rem;
    
}

section.certificates .card-wrapper {
    grid-template-columns: repeat(1,1fr);
    padding-left: 2.5rem;
}

.container {
    padding: 0 11px;
}

section.contact .card-wrapper{
    grid-template-columns: repeat(1,1fr);
    margin-bottom: 1rem;
}

section.contact .input-wrap {
    display: grid;
    grid-template-columns: repeat(1,1fr);
    grid-row-gap:2rem;
    padding-top: 2rem;
    
}

footer .copyright {
    padding-left: 0.4rem;
}
section.certificates .card-wrapper .card img{
    width:90%;
        height:90%;
}

section.work p{
    
    margin-bottom: 1.5rem;
}
section.contact .input-wrap-2 input {
    margin-bottom: 2.9rem;
}

section.contact .input-wrap {
    
        margin-bottom: 2.5rem;
        grid-row-gap: 2.5rem;
    }

}

